---
title: Gets all markets.
slug: cms-12/api/OnQE-gets-all-markets
docTags: 
createdAt: 2026-08-28T13:16:06.833Z
---

{
  "id": "l6ETWKxf5WyGrfc0jeGYd",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "/api/episerver/v3.0/markets",
    "servers": [],
    "name": "Gets all markets.",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/problem+json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "Represents market information.",
            "customType": "market[]",
            "schema": [
              {
                "name": "id",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "The id."
              },
              {
                "name": "name",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "The name."
              },
              {
                "name": "defaultLanguage",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "The default language."
              },
              {
                "name": "defaultCurrency",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "The default currency."
              },
              {
                "name": "languages",
                "kind": "optional",
                "type": "array",
                "nullable": true,
                "description": "The languages.",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "currencies",
                "kind": "optional",
                "type": "array",
                "nullable": true,
                "description": "The currencies.",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "countries",
                "kind": "optional",
                "type": "array",
                "nullable": true,
                "description": "The countries.",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "modelRef": "#/components/schemas/market",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad Request",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "1ULmUGYd8KAXjCFn3qPSz",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url /api/episerver/v3.0/markets \\\n     --header 'accept: application/json'"
        },
        {
          "id": "irS2iLGaZ7IJ6t_xH4TrK",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"/api/episerver/v3.0/markets\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "FTrO30TSU4G2oYdY_eEP7",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"/api/episerver/v3.0/markets\")\n\nhttp = Net::HTTP.new(url.host, url.port);\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = http.request(request)\nputs response.read_body\n"
        },
        {
          "id": "fDChmzplr7WDsL3Exv4nK",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"/api/episerver/v3.0/markets\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "1ULmUGYd8KAXjCFn3qPSz"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// OK\n[\n  {\n    \"id\": \"\",\n    \"name\": \"\",\n    \"defaultLanguage\": \"\",\n    \"defaultCurrency\": \"\",\n    \"languages\": [\n      \"\"\n    ],\n    \"currencies\": [\n      \"\"\n    ],\n    \"countries\": [\n      \"\"\n    ]\n  }\n]"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Bad Request\n"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n"
        },
        {
          "id": "response-3-404",
          "language": "404",
          "code": "// Not Found\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}